# Uses of Class
org.eclipse.emf.compare.util.CompareSwitch

Packages that use CompareSwitch
Package
Description
org.eclipse.emf.compare.internal.conflict
org.eclipse.emf.compare.util

## Uses of CompareSwitch in org.eclipse.emf.compare.internal.conflict

Subclasses of CompareSwitch in org.eclipse.emf.compare.internal.conflict
Modifier and Type
Class
Description
`class`
`ConflictSearchFactory`
Factory for ConflictSearch classes.

## Uses of CompareSwitch in org.eclipse.emf.compare.util

Fields in org.eclipse.emf.compare.util declared as CompareSwitch
Modifier and Type
Field
Description
`protected CompareSwitch<Adapter>`
CompareAdapterFactory.`modelSwitch`
The switch that delegates to the `createXXX` methods.